commit:     d48b6ffebf2c295fd808be2c7a17108cb297646b
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Thu May  7 19:08:01 2020 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Thu May  7 19:08:01 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d48b6ffe

net-misc/gsutil-4.50: Version bump, add py38, random fixups

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 net-misc/gsutil/Manifest                           |   1 +
 net-misc/gsutil/files/gsutil-4.50-boto-tests.patch |  44 +++++++++
 net-misc/gsutil/files/gsutil-4.50-tests.patch      |  57 ++++++++++++
 net-misc/gsutil/gsutil-4.50.ebuild                 | 101 +++++++++++++++++++++
 4 files changed, 203 insertions(+)

diff --git a/net-misc/gsutil/Manifest b/net-misc/gsutil/Manifest
index 6a01425ea98..3a3005fc7d3 100644
--- a/net-misc/gsutil/Manifest
+++ b/net-misc/gsutil/Manifest
@@ -1,3 +1,4 @@
 DIST gsutil_4.41.tar.gz 3685987 BLAKE2B 
7586d6c64c87c27e4c5f3e86372bfe6d7fdfbdcbe4146308ed497d86b6e3fb984a79d3f07ba3ed055ac09bfe70eef893b8b764a46921703c48c8e54e49cac7eb
 SHA512 
f96500a4761cb244039ba20ccb328b143134a74822990538585116fe6afa6f9e23cfecc9958e34d5deb4291edc9cbe97c6176b3a0f0136ed6e8e81303b5b8c4a
 DIST gsutil_4.45.tar.gz 3695514 BLAKE2B 
9b129ae1e87620b2430368818929fbd884319cd2cf7788275ba556f873b13700b9333c59b753202d8c88a81eaa47e223f39f6ded26adf8d16144324763528886
 SHA512 
9b21162afcfcd063976be51151d1d51aaeac1a32c2b7d0ee79aaccb28f5202f93623b39ed994bd796ab508a56363fea69429fe42cd770cff3c7c8352a4956212
 DIST gsutil_4.47.tar.gz 3696516 BLAKE2B 
c3a5e132ffff7b0e2e46cac17b1bd820b1ead63bbca4b80f17227290f25d12cb46e38df4334ffc71d0261f4467c157ed50ac21b25b1c7a58ec4113758c64d75b
 SHA512 
66d150d496789a89acc71238c7554244ad17a8896b26fd7d6ffb6e26ce14c8b2268633f4a48b8abd8aa25b36f2ef4bd15cdde02b37a9ef52843200b0449289bb
+DIST gsutil_4.50.tar.gz 3618295 BLAKE2B 
bbd8ec13428a9822b1ebe3eea984f3e50abc010a0de4e57e7dc365642ab501f7994a235d778eaa73c8217ae1e69d1569e80ac8a59d94a84a6abb8272ad466a35
 SHA512 
aa7d68f369ac24c75cbd321d9a1a943fc361e9bf768797327852d0da39d364fa95ac3891367e90a39061b30b331405e2ea8358e0c91e3bdc5cb151d367e0857e

diff --git a/net-misc/gsutil/files/gsutil-4.50-boto-tests.patch 
b/net-misc/gsutil/files/gsutil-4.50-boto-tests.patch
new file mode 100644
index 00000000000..5a9b601604d
--- /dev/null
+++ b/net-misc/gsutil/files/gsutil-4.50-boto-tests.patch
@@ -0,0 +1,44 @@
+--- 
gsutil.orig/gslib/vendored/boto/tests/integration/s3/mock_storage_service.py    
   2020-04-10 13:26:12.000000000 -0700
++++ gsutil/gslib/vendored/boto/tests/integration/s3/mock_storage_service.py    
2020-05-07 11:11:14.971631528 -0700
+@@ -30,13 +30,11 @@
+ import boto
+ import base64
+ import re
+-import six
+ from hashlib import md5
+
+ from boto.utils import compute_md5
+ from boto.utils import find_matching_headers
+ from boto.utils import merge_headers_by_name
+-from boto.utils import write_to_fd
+ from boto.s3.prefix import Prefix
+-from boto.compat import six
++import six
+
+@@ -90,14 +88,12 @@
+                              torrent=NOT_IMPL,
+                              version_id=NOT_IMPL,
+                              res_download_handler=NOT_IMPL):
+-        data = six.ensure_binary(self.data)
+-        write_to_fd(fp, data)
++        fp.write(six.ensure_str(self.data, errors='replace'))
+
+     def get_file(self, fp, headers=NOT_IMPL, cb=NOT_IMPL, num_cb=NOT_IMPL,
+                  torrent=NOT_IMPL, version_id=NOT_IMPL,
+                  override_num_retries=NOT_IMPL):
+-        data = six.ensure_binary(self.data)
+-        write_to_fd(fp, data)
++        fp.write(self.data)
+
+     def _handle_headers(self, headers):
+         if not headers:
+@@ -284,9 +280,6 @@
+         else:
+             return '<Subresource/>'
+
+-    def get_tags(self):
+-      return []
+-
+     def new_key(self, key_name=None):
+         mock_key = MockKey(self, key_name)
+         self.keys[key_name] = mock_key

diff --git a/net-misc/gsutil/files/gsutil-4.50-tests.patch 
b/net-misc/gsutil/files/gsutil-4.50-tests.patch
new file mode 100644
index 00000000000..757f1f4ed4d
--- /dev/null
+++ b/net-misc/gsutil/files/gsutil-4.50-tests.patch
@@ -0,0 +1,57 @@
+diff --git a/gslib/boto_translation.py b/gslib/boto_translation.py
+index 0af2e663..7d2f549f 100644
+--- a/gslib/boto_translation.py
++++ b/gslib/boto_translation.py
+@@ -1457,7 +1457,8 @@ class BotoTranslation(CloudApi):
+         # TODO: Define tags-related methods on storage_uri objects. In the
+         # meantime, we invoke the underlying bucket's methods directly.
+         try:
+-          boto_tags = bucket_uri.get_bucket().get_tags()
++          bucket = bucket_uri.get_bucket()
++          boto_tags = bucket.get_tags() if hasattr(bucket, 'get_tags') else []
+           cloud_api_bucket.labels = (
+               LabelTranslation.BotoTagsToMessage(boto_tags))
+         except boto.exception.StorageResponseError as e:
+diff --git a/gslib/tests/test_naming.py b/gslib/tests/test_naming.py
+index d91cda04..6b44719f 100644
+--- a/gslib/tests/test_naming.py
++++ b/gslib/tests/test_naming.py
+@@ -36,6 +36,7 @@ from __future__ import unicode_literals
+ 
+ import gzip
+ import os
++import unittest 
+ 
+ import six
+ 
+@@ -504,6 +505,7 @@ class GsutilNamingTests(testcase.GsUtilUnitTestCase):
+     self.assertEqual(1, len(actual))
+     self.assertEqual('/obj', actual[0].root_object.name)
+ 
++  @unittest.skip('test appears to be flakey')
+   def testCopyingCompressedFileToBucket(self):
+     """Tests copying one file with compression to a bucket."""
+     src_file = self.CreateTempFile(contents=b'plaintext', file_name='f2.txt')
+diff --git a/gslib/tests/testcase/unit_testcase.py 
b/gslib/tests/testcase/unit_testcase.py
+index b25352b6..c958f670 100644
+--- a/gslib/tests/testcase/unit_testcase.py
++++ b/gslib/tests/testcase/unit_testcase.py
+@@ -27,7 +27,6 @@ import tempfile
+ import six
+ 
+ import boto
+-from boto.utils import get_utf8able_str
+ from gslib import project_id
+ from gslib import wildcard_iterator
+ from gslib.boto_translation import BotoTranslation
+@@ -157,8 +156,8 @@ class GsUtilUnitTestCase(base.GsUtilTestCase):
+         stderr = sys.stderr.buffer.read()
+     [six.ensure_text(string) for string in self.accumulated_stderr]
+     [six.ensure_text(string) for string in self.accumulated_stdout]
+-    stdout = six.ensure_text(get_utf8able_str(stdout))
+-    stderr = six.ensure_text(get_utf8able_str(stderr))
++    stdout = six.ensure_text(six.ensure_str(stdout))
++    stderr = six.ensure_text(six.ensure_str(stderr))
+     stdout += ''.join(self.accumulated_stdout)
+     stderr += ''.join(self.accumulated_stderr)
+     _AttemptToCloseSysFd(sys.stdout)

diff --git a/net-misc/gsutil/gsutil-4.50.ebuild 
b/net-misc/gsutil/gsutil-4.50.ebuild
new file mode 100644
index 00000000000..99658a47144
--- /dev/null
+++ b/net-misc/gsutil/gsutil-4.50.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="command line tool for interacting with cloud storage services"
+HOMEPAGE="https://github.com/GoogleCloudPlatform/gsutil";
+SRC_URI="http://commondatastorage.googleapis.com/pub/${PN}_${PV}.tar.gz";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="${PYTHON_DEPS}
+       >=dev-python/argcomplete-1.9.4[${PYTHON_USEDEP}]
+       >=dev-python/boto-2.49.0[${PYTHON_USEDEP}]
+       >=dev-python/crcmod-1.7[${PYTHON_USEDEP}]
+       >=dev-python/fasteners-0.14.1[${PYTHON_USEDEP}]
+       >=dev-python/gcs-oauth2-boto-plugin-2.5[${PYTHON_USEDEP}]
+       >=dev-python/google-apitools-0.5.30[${PYTHON_USEDEP}]
+       >=dev-python/google-reauth-python-0.1.0[${PYTHON_USEDEP}]
+       >=dev-python/httplib2-0.11.3[${PYTHON_USEDEP}]
+       >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+       >=dev-python/monotonic-1.4[${PYTHON_USEDEP}]
+       >=dev-python/oauth2client-4.1.3[${PYTHON_USEDEP}]
+       >=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
+       >=dev-python/retry-decorator-1.0.0[${PYTHON_USEDEP}]
+       >=dev-python/six-1.12.0[${PYTHON_USEDEP}]
+       >=dev-python/PySocks-1.01[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+       "${FILESDIR}/gsutil-4.41-tests.patch"
+       "${FILESDIR}/gsutil-4.50-boto-tests.patch"
+       "${FILESDIR}/gsutil-4.50-tests.patch"
+)
+
+S="${WORKDIR}/${PN}"
+
+DOCS=( README.md CHANGES.md )
+
+# needs to talk to Google to run tests
+RESTRICT+=" test"
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+
+       # NB: We don't delete all of boto/ because the tests are imported by the
+       # production code.  The same reason we can't delete gslib/tests/.  We 
can
+       # delete the main boto library and use the system version though.
+       rm -r gslib/vendored/boto/boto || die
+
+       # failes to compile with py3
+       rm gslib/vendored/boto/tests/mturk//cleanup_tests.py || die
+
+       sed -i \
+               -e 's/mock==/mock>=/' \
+               -e 's/oauth2client==/oauth2client>=/' \
+               -e 's/SocksiPy-branch==/PySocks>=/' \
+               setup.py || die
+       # Sanity check we didn't miss any updates.
+       grep '==' setup.py && die "Need to update version requirements"
+
+       # For debugging purposes, temporarily uncomment this in order to
+       # show hidden tracebacks.
+       #sed -e 's/^  except OSError as e:$/&\n    raise/' \
+       #       -e 's/def _HandleUnknownFailure(e):/&\n  raise/' \
+       #       -i gslib/__main__.py || die
+
+       # create_bucket raised ResponseNotReady
+       sed -i \
+               -e 's/test_cp_unwritable_tracker_file/_&/' \
+               -e 's/test_cp_unwritable_tracker_file_download/_&/' \
+               gslib/tests/test_cp.py || die
+
+       sed -i -E -e 's/(executable_prefix =).*/\1 [sys.executable]/' \
+               gslib/commands/test.py || die
+
+       # IOError: close() called during concurrent operation on the same file 
object.
+       sed -i -e 's/sys.stderr.close()/#&/' \
+               gslib/tests/testcase/unit_testcase.py || die
+}
+
+python_compile() {
+       2to3 --write --nobackups --no-diffs -j "$(makeopts_jobs "${MAKEOPTS}" 
INF)" \
+               gslib/vendored/boto/tests || die "2to3 on boto tests failed"
+
+       distutils-r1_python_compile
+}
+
+python_test() {
+       BOTO_CONFIG="${FILESDIR}/dummy.boto" \
+               "${EPYTHON}" gslib/__main__.py test -u || die "tests failed 
with ${EPYTHON}"
+}

Reply via email to